Package org.jbpm.kie.services.impl.model

## Class NodeDesc

- java.lang.Object
- - org.jbpm.kie.services.impl.model.NodeDesc

- All Implemented Interfaces:
    `Serializable`, `NodeDesc`

      public class NodeDesc
      extends Object
      implements NodeDesc, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NodeDesc()` |
    `NodeDesc​(long id, String uniqueId, String name, String nodeType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Long` | `getId()` | Returns the node description id.
    `String` | `getName()` | Returns the node description name.
    `String` | `getNodeType()` | Returns the node description node type.
    `String` | `getUniqueId()` | Returns the node description unique id.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeDesc

          public NodeDesc()

    - #### NodeDesc

          public NodeDesc​(long id,
                          String uniqueId,
                          String name,
                          String nodeType)

  - ### Method Detail

    - #### getId

          public Long getId()

      Description copied from interface: `NodeDesc`
      Returns the node description id.
      Specified by:
        `getId` in interface `NodeDesc`
      Returns:
        id

    - #### getName

          public String getName()

      Description copied from interface: `NodeDesc`
      Returns the node description name.
      Specified by:
        `getName` in interface `NodeDesc`
      Returns:
        name

    - #### getNodeType

          public String getNodeType()

      Description copied from interface: `NodeDesc`
      Returns the node description node type.
      Specified by:
        `getNodeType` in interface `NodeDesc`
      Returns:
        node type

    - #### getUniqueId

          public String getUniqueId()

      Description copied from interface: `NodeDesc`
      Returns the node description unique id.
      Specified by:
        `getUniqueId` in interface `NodeDesc`
      Returns:
        id

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`